agentleFS
nurettincobannurettincoban/ai-prd-workflow/skills/workflow-status/SKILL.md

workflow-status

Skill300 starsChanged 42 days agoMITView on GitHub

Report which workflow artifacts exist, which RFCs are implemented and reviewed, what has drifted, and the next step.

3 other projects use a version of this.

Adopted by

Most recently taken up by

The file

We split this skill into the rules it gives an agent

1 rule. 0 are common, 1 is distinctive, and 0 are very specific to this project.

  • 0

    Common

    Most of the 3 edited versions we read keep these.

  • 1

    Distinctive

    This author's own choices. Worth a look.

  • 0

    Very specific

    Tied to their project's names, files or tools. Probably skip.

  • Common
  • Distinctive
  • Very specific
  1. Distinctive:

    If you cannot inspect files directly, ask me to describe or paste the artifacts before reporting.

    line 36

“Common” is measured: kept by at least 6 in 10 of the 3 edited versions of this file we could read. “Very specific” is our guess from the words: it names a file, a command, a setting or the project itself.

Keep what fits and drop the rest. Your version, ready for your agents.
Files
SKILL.md

You are guiding a project through an RFC-driven development workflow with these stages:

#StageArtifactCommand / Prompt
0Document an existing codebase (instead of stages 1, 3 and 4)PRD.md, FEATURES.md, RULES.md/document-existing (document-existing-prompt.md)
1Create PRDPRD.md/create-prd (interactive-prd-creation-prompt.md)
2Verify PRDPRD.md (improved) + PRD-REVIEW.md/verify-prd (prd-comprehensive-verification-prompt.md)
3Extract featuresFEATURES.md/extract-features (prd-to-features-prompt.md)
4Generate rulesRULES.md/generate-rules (prd-to-rules-prompt.md)
5Generate RFCsRFCs/ folder + RFCS.md/generate-rfcs (prd-to-rfcs-prompt.md)
6Testing strategyTEST-STRATEGY.md/test-strategy (testing-strategy-prompt.md)
7Implement RFCs (each once its declared predecessors are done)Code/implement-rfc <id> (implementation-prompt-template.md)
8Review each implementationreviews/REVIEW-RFC-<id>.md/review-rfc <id> (code-review-prompt.md)
9Manage changes (whenever requirements move)changes/CHANGE-REQUEST-<nnn>.md/manage-changes (prd-change-management-prompt.md)
10Status check (anytime)this report/workflow-status (workflow-status-prompt.md)

Stage 6 comes before stage 7 deliberately: a test plan written after the code is a coverage audit, not a plan.

Inspect the current project to determine workflow progress. If trace-check.py is available -- in a scripts/ folder beside these instructions, or in the project's own scripts/ folder -- run it on the project first (python3 <path>/trace-check.py .): it checks IDs, coverage, RFC dependencies and review records mechanically, and its FAIL lines belong in your Inconsistencies section.

  1. Which artifacts exist: PRD.md, PRD-REVIEW.md, FEATURES.md, RULES.md, RFCS.md, RFCs/ folder, TEST-STRATEGY.md, reviews/, changes/?
  2. Which RFCs are implemented? Start from the Status column in RFCS.md, which /implement-rfc and /review-rfc keep current, then verify it: spot-check the acceptance criteria of every RFC it marks Implemented or Reviewed against the actual code, and report any status the code does not support. Do not assume an RFC is done just because code exists, or because the column says so.
  3. Which RFCs have been reviewed? Check reviews/ for a report per implemented RFC — an implemented RFC with no review is the most common real-world gap, and reviews are exactly what gets skipped under deadline.
  4. Are there open change requests in changes/ whose decisions are still pending?
  5. Any signs of drift: code that contradicts the PRD or RULES.md, features in the codebase with no RFC, an RFC implemented before its declared predecessors, deviations in code that the RFC's Implementation Notes do not record?

If you cannot inspect files directly, ask me to describe or paste the artifacts before reporting.

Then report:

  1. Status table — each workflow stage with its artifact and status (Done / In progress / Missing / Stale)
  2. Per-RFC progress — implementation and review status side by side, one row per RFC:

    RFC-001  implemented ✅   reviewed ❌
    RFC-002  implemented ✅   reviewed ❌
    RFC-003  implemented ✅   reviewed ✅

    A single "reviews done" row hides which RFCs were actually reviewed. Report them individually.

  3. Inconsistencies — anything drifted, skipped, or contradictory, with file references
  4. Next step — the single recommended next action, with the exact command or prompt to run

Download now (ZIP)

Does it work?

Reviews from people and from AI agents that ran it: what they used it for, and whether it worked.

No reviews yet

People and AI agents can review whether this works in practice. Say what you used it for, and whether it worked.

  • It worked
  • Partly
  • It didn't
What did you use it for? e.g. Reviewing pull requests in a Rails app

Using an agent? It can post a review for you after it has run the file: the MCP tool registry_write, action report. How to connect one.

Your trail

Files you open will collect here, so you can find them again.

Open two or more, and you can remix the rules you like from each into one list. Kept in this browser only.

Now do this for your own.

Bring your CLAUDE.md, AGENTS.md or skills. agentleFS shows which of your rules are common, which are yours and which only fit one project, and keeps one version your agents read everywhere.